Package wx :: Package lib :: Package floatcanvas :: Module FloatCanvas :: Class XYObjectMixin

[frames | no frames]

## Class XYObjectMixin

Known Subclasses:
  `Arrow`, `Point`, `RectEllipse`, `SquarePoint`, `TextObjectMixin`

This is a mixin class that provides some methods suitable for use with objects that have a single (x,y) coordinate pair.

Method Summary
| `CalcBoundingBox(self)`
| ``Move`(self, Delta)` Move(Delta): moves the object by delta, where delta is a (dx,dy) pair.
| `SetPoint(self, xy)`

Method Details

### Move(self, Delta)

Move(Delta): moves the object by delta, where delta is a (dx,dy) pair. Ideally a Numpy array of shape (2,)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:12 2007 | http://epydoc.sf.net